# dmd.canthrow

Perform checks for `nothrow`.

Specification: Nothrow Functions

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: canthrow.d

Documentation: https://dlang.org/phobos/dmd_canthrow.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/canthrow.d

- `canThrow`

  #### Declaration

  `bool `canThrow`(Expression `e`, FuncDeclaration `func`, bool `mustNotThrow`);`

  Returns `true` if the expression may throw exceptions. If '`mustNotThrow`' is `true`, generate an error if it throws